<script>
/*
	var estado_caja = localStorage.getItem("estado_caja");
	if(estado_caja=="cerrada"){
		document.write("Esta terminar estacerrada...");
		window.location.href='../pos/turnos_caja.php';

	}
	*/
</script>


<?php
include_once("../php/config.php");

$sql_venta = mysql_query("select * from ventas where id_venta='".$_GET['id_venta']."'") or die(mysql_error());
$cliente = @mysql_result($sql_venta,0,'cliente');



				$total = $_POST["efectivo"]+ $_POST["tarjeta"] + $_POST["transferencia"];;
				$balance  = $_POST["balance"];
				if($total>$balance){
					echo "<script>alert('Verifique el balance...')</script>";
					
					
				}else{
				if($total>0){
					mysql_query("update ventas set balance = balance - '".$total."',
					pagado = pagado + '".$total."'
					 where id_venta = '".$_POST['folio']."'") or die(mysql_error());
					 
					 
					 $ntarjeta =$_POST["ntarjeta"];
					 
					 mysql_query("insert into pagos_credito set folio='".$_POST['folio']."',
					 secuencia = '".$secuencia."',
					 cliente='".$_POST['cliente']."',
					 usuario='".$_POST['usuario']."',
					 monto='".$total."',
					 tarjeta='".$_POST['tarjeta']."',
					 ref_tarjeta='".$_POST['ntarjeta']."',
					 efectivo='".$_POST['efectivo']."',
					 transferencia='".$_POST['transferencia']."',
					 fecha='$hoy',
					 hora=CURTIME()
					 ") or die(mysql_error());
					 $concepto = "Pago de factura a credito de ".$_POST['cliente'].", Num. Fact#: ".$_POST["folio"];
					 mysql_query("insert into ingresos set 
					 secuencia = '".$secuencia."',
					 usuario='".$_POST['usuario']."',
					 cliente='".$_POST['cliente']."',
					 monto='".$total."',
					 tarjeta='".$_POST['tarjeta']."',
					 transferencia='".$_POST['transferencia']."',
					 ref_tarjeta='".$_POST['ntarjeta']."',
					 efectivo='".$_POST['efectivo']."',
					 fecha='$hoy',
					 tipo='Credito',
					 concepto='$concepto',
					 hora=CURTIME()
					 ") or die(mysql_error());
					
					
mysql_query("update cuadres set pago = pago+'".$total."', balance_efectivo=balance_efectivo + '$total' where usuario='".$_COOKIE['usuario']."'")or die(mysql_error());
	
	
					
					
					$p= mysql_query("select * from  ingresos where usuario='".$_COOKIE['usuario']."' order by id desc limit 1") or die(mysql_error());
					$id_cobro = @mysql_result($p, 0, "id");

					header("location: ../pos/recibo_ingreso.php?id=$id_cobro&from=abono");
				}
				}
				
	include_once("../header.php");
	?>

<style type="text/css">
	
body{
	background:#e3e3e3;
}

</style>


<div class="container">
<div class="row">

	<div class="col-md-5 col-md-offset-3">
		  <div class="panel panel-default">
			<div class="panel-heading"><b>Abono a factura<b></div>
			<div class="panel-body">
			<form action="" method="POST" id="frm1" onSubmit="$('.btn').prop('disabled',true)">
			<input type="hidden" readonly id="caja" name="caja">
<input type="hidden" readonly id="usuario" name="usuario">
				<div class="row">
					<div class="col-md-2">Numero:</div>
					<div class="col-md-3"><input type="text" readonly id="folio" name="folio" class="form-control" value="<?php echo @mysql_result($sql_venta,0,'id_venta')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Cliente:</div>
					<div class="col-md-10 text-primary"><input type="text" readonly name="cliente" class="form-control" value="<?php echo @mysql_result($sql_venta,0,'cliente')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Monto venta:</div>
					<div class="col-md-10"><input type="text" name="monto" readonly class="form-control" value="<?php echo @mysql_result($sql_venta,0,'total')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">Abonado:</div>
					<div class="col-md-10"><input type="text" readonly 
					class="form-control" name="abonado" value="<?php echo @mysql_result($sql_venta,0,'pagado')?>"></div>
				</div>
				
				<div class="row mt-2">
					<div class="col-md-2">BALANCE:</div>
					<div class="col-md-10"><input type="text" id="balance" name="balance" readonly class="form-control" value="<?php echo @mysql_result($sql_venta,0,'balance')?>"></div>
				</div>
				<hr>
				
				<div class="row mt-2">
					
					<div class="col-md-3"><b class="text-primary">Efectivo:</b><br><input id="efectivo" name="efectivo" type="text"  class="form-control"></div>
					
					<div class="col-md-3"><b class="text-danger">Tarjeta:</b><br><input id="tarjeta" name="tarjeta" type="text"  class="form-control"></div>
				
					<div class="col-md-3"><b class="text-danger">Ref. Tarjeta:</b><br><input id="ntarjeta" name="ntarjeta" type="text"  class="form-control" ></div>
				</div>

				<div class="row mt-2">
					<div class="col-md-3">TRANSF.:</div>
					<div class="col-md-3"><input type="text" id="transferencia" name="transferencia"  class="form-control" ></div>
				</div>
				
				<div class="row mt-2">
					
					<div class="col-md-12"><button class="btn btn-success" name="btnAplicar">Aplicar pago</button>
					 <a class="btn btn-default" href="creditos.php?cliente=<?php echo $cliente?>">Salir</a> </div>
					 <br>
					 <span class="text-danger" id="msg"></span>
				</div>
				</form>
			</div>
		 </div>
	</div>
</div>

</div>



        	<script>
					$("#usuario").val(myUser)
					$("#caja").val(myCaja)
					function cxc(){
						
						var cliente = $("#clientes").val();
                        var usuario = $("#usuario").val();
                        var termino = $("#termino").val();
                        var estado = $("#estado").val();
                      
                      
                        var fecha1 = $("#fecha1").val();
                        var fecha2 = $("#fecha2").val();
                        
                        var param="";
                        param="cliente="+cliente;
                        param+="&usuario="+usuario;
						param+="&termino="+termino;
						param+="&estado="+estado;
                        param+="&fecha1="+fecha1;
                        param+="&fecha2="+fecha2;
						
						
						
					  window.open('rptCxc.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

					}
					
					
				
                </script>
				
<?php

 	include_once("../footer.php");
?>